Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
primality.h File Reference
`#include <botan/types.h>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
bool | Botan::is_bailie_psw_probable_prime (const BigInt &n)
bool | Botan::is_bailie_psw_probable_prime (const BigInt &n, const Modular_Reducer &mod_n)
bool | Botan::is_lucas_probable_prime (const BigInt &C, const Modular_Reducer &mod_C)
bool | Botan::is_miller_rabin_probable_prime (const BigInt &n, const Modular_Reducer &mod_n, RandomNumberGenerator &rng, size_t test_iterations)
size_t | Botan::miller_rabin_test_iterations (size_t n_bits, size_t prob, bool random)
bool | Botan::passes_miller_rabin_test (const BigInt &n, const Modular_Reducer &mod_n, const std::shared_ptr< Montgomery_Params > &monty_n, const BigInt &a)